<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Повторение</title>
    <style>
        a {
            border: black;
        }
        li {
            border: navy;
        }
        .container ul li:hover {
            background: #16b085;
            color: mediumvioletred;
        }
        /*.container ul li:hover a {*/
            /*color: inherit;*/
        /*}*/
        .container .topmenu .menuitem:hover a {
            color: inherit;
        }
    </style>
</head>
<body>
<div class="container">
<ul class="topmenu">
    <li class="menuitem"><a href="#">Lorem.</a></li>
    <li class="menuitem"><a href="#">Modi.</a></li>
    <li class="menuitem"><a href="#">Dolorum.</a></li>
    <li class="menuitem"><a href="#">Veniam.</a></li>
    <li><a href="#">Eos?</a></li>
    <li><a href="#">Ea.</a></li>
    <li><a href="#">Reprehenderit?</a></li>
    <li><a href="#">Dicta?</a></li>
    <li><a href="#">Facilis!</a></li>
    <li><a href="#">Minus.</a></li>
</ul>
</div>
</body>
</html>